Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
assets
/
value-updates
/
{valueUpdateId}
Fetch an asset value update
curl --request GET \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/assets/value-updates/{valueUpdateId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "amount": 123,
    "date": "2023-11-07T05:31:56Z",
    "transaction_tags": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "key": "ExampleTagKey",
        "value": "ExampleTagValue",
        "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "dimension_display_name": "<string>",
        "value_display_name": "<string>",
        "archived_at": "2023-11-07T05:31:56Z"
      }
    ],
    "external_id": "<string>",
    "archived_at": "2023-11-07T05:31:56Z",
    "memo": "<string>",
    "metadata": {},
    "reference_number": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

businessId
string<uuid>
required

The UUID of the business.

valueUpdateId
string<uuid>
required

The UUID of the value update.

Response

200 - application/json

The requested asset value update.

data
object
required

A recorded change to an asset's value, such as depreciation, improvement, impairment, or revaluation.